import * as MiniGame from "mini-game";
import * as Phaser from "phaser";
import MainMenuScene from "./scenes/main-menu-scene";
class Game {
  parent: string = ''
  phaserGame: Phaser.Game = null

  constructor(parent: string) {
    this.parent = parent ?? 'game'
  }

  start() {
    this.phaserGame = new Phaser.Game({
      type: Phaser.AUTO,
      parent: this.parent,
      width: 800,
      height: 600,
      backgroundColor: 'rgba(80, 80, 80, 0)',
      scene: [MainMenuScene],
    });
  }
}

export default Game;